{{ $sca := (index .Values "step-certificates") }} 
{{- $name := (print $sca.releaseName "-step-certificates-certs") }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ $name }}
  namespace: {{ include "portal.xdcNamespace" . }}
{{- $data := (lookup "v1" "ConfigMap" .Release.Namespace $name).data }}
{{- if $data }}
data:
  intermediate_ca.crt: {{ get $data "intermediate_ca.crt" | quote }}
  root_ca.crt: {{ get $data "root_ca.crt" | quote }}
  ssh_host_ca_key.pub: {{ get $data "ssh_host_ca_key.pub" | quote }}
  ssh_user_ca_key.pub: {{ get $data "ssh_user_ca_key.pub" | quote }}

{{- end }}
